6.0.0-git
2019-05-19

[#13833] problem with grater number of message flags in dynamic view
Summary problem with grater number of message flags in dynamic view
Queue IMP
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester pwalesiuk (at) gmail (dot) com
Created 2015-01-31 (1569 days ago)
Due
Updated 2015-02-05 (1564 days ago)
Assigned
Resolved 2015-02-03 (1566 days ago)
Milestone
Patch No

History
2015-02-05 10:22:02 pwalesiuk (at) gmail (dot) com Comment #6 Reply to this comment
I confirm that the fix from Comment #3 solves the problem (after 
applying patch on horde 5.2.3).
Thank you for a very quick fix.
2015-02-03 21:11:20 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit e326a0fe118771a3792cdce58925de328ad2d4a2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 3 14:08:41 2015 -0700

     [mms] Make dynamic context menus scrollable if taller than the 
browser screen height (Bug #13833).

     Conflicts:
             horde/docs/CHANGES
             horde/package.xml

  horde/docs/CHANGES              |    9 +++++++++
  horde/js/contextsensitive.js    |   13 ++++++++++---
  horde/package.xml               |    1 +
  horde/themes/default/screen.css |    1 +
  4 files changed, 21 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/e326a0fe118771a3792cdce58925de328ad2d4a2
2015-02-03 21:09:13 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Horde 5.2.4
2015-02-03 21:09:01 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3f68f98b5c7b6e078ba9fbeaf33773c820e36fef
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 3 14:08:41 2015 -0700

     [mms] Make dynamic context menus scrollable if taller than the 
browser screen height (Bug #13833).

  horde/docs/CHANGES              |    2 ++
  horde/js/contextsensitive.js    |   13 ++++++++++---
  horde/package.xml               |    2 ++
  horde/themes/default/screen.css |    1 +
  4 files changed, 15 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/3f68f98b5c7b6e078ba9fbeaf33773c820e36fef
2015-01-31 17:06:02 pwalesiuk (at) gmail (dot) com Comment #2
New Attachment: imp_flags1.jpg Download
Reply to this comment
Screenshot showing the problem
2015-01-31 17:02:50 pwalesiuk (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ problem with grater number of message flags in dynamic view
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
When we define a lot of your custom message flags, it is not possible 
to use them in a dynamic interface of imp because they do not fit on 
the opening  right-click menu (option "mark as" and "Unmark as"). 
Maximum number of items in the list depends on the vertical resolution 
of the screen (see the file in attachment) - it is about 30 items for 
resolution x1024. The list does not have a scroll bar - you can not 
select items that do not fit.

The same problem applies to the display list for filtering messages 
(filtering by flags).

Possible solutions:
1. Add the possibility to scroll through the menu (do not know if this 
is possible)
2. Add additional submenus that shared by the flag after the first 
letter. Then, when you select "Mark as" there would be a list of the 
first letters of all the available flags (A, B, C ...) and you would 
need to select the first letter and then open up the submenu that 
lists all the flags on the letter (a solution does not solve the 
problem quite, but allows you to use more flags)
3. Add some other way of marking flags and filtering by flags in a 
dynamic interface that allowed you to use a larger number of flags.

Saved Queries